跳转到内容

Wan v2.6 Reference to Video

集成

模型 id wan/v2.6/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.75 750 API 积分 在此页面运行

获取 API 密钥
Alibaba 参考图生视频 参考输入5–10 秒最高 1080p #reference-to-video

参考视频生视频,保留 1 到 3 个参考视频中的主体,并以 @Video1 到 @Video3 引用

Alibaba · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

最多 1500 个字符的提示词,其中通过 @Video1、@Video2、@Video3 标识视频主体;主体可以是人物、动物或物体。多镜头提示词使用以下形式:'[0-3s] Shot 1. [3-6s] Shot 2.'

•必填 video_urls
拖放文件,或

提供 1–3 个参考视频以保持人物、动物或物体等主体的一致性,并在提示词中使用 @Video1、@Video2、@Video3 标识它们。每个视频至少须为 16 FPS,时长为 2 到 30 秒且大小不超过 100 MB。

duration 5 s

设置生成视频的时长,单位为秒。R2V 可选择 5 或 10 秒,不支持 15 秒。

aspect_ratio 默认 16:9

输出视频的宽高比。

resolution 默认 1080p

视频输出的分辨率级别;R2V 支持 720p 或 1080p,不支持 480p。

高级 negative_prompt · seed · enable_prompt_expansion · multi_shots · enable_safety_checker
默认

指定不需要内容的负面提示词,最多 500 个字符。

使生成结果可复现的种子。设置为 None 时会随机选择种子。

POST /run/wan/v2.6/reference-to-video?wait=20 报价 → $0.75
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Wan v2.6 Reference to Video

生成包含来自 `video_urls` 中 1 到 3 个视频主体(人物、动物或物体)的片段,每个视频至少为 16 FPS。提示词使用 @Video1、@Video2 和 @Video3 引用这些视频,并可描述带时间点的镜头。`aspect_ratio` 提供五种选项,`resolution` 为 720p 或 1080p,`duration` 为 5 或 10 秒。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
最多 1500 个字符的提示词,其中通过 @Video1、@Video2、@Video3 标识视频主体;主体可以是人物、动物或物体。多镜头提示词使用以下形式:'[0-3s] Shot 1. [3-6s] Shot 2.'
video_urls必填 videos
类型url[] · video
提供 1–3 个参考视频以保持人物、动物或物体等主体的一致性,并在提示词中使用 @Video1、@Video2、@Video3 标识它们。每个视频至少须为 16 FPS,时长为 2 到 30 秒且大小不超过 100 MB。
aspect_ratio可选
类型enum
默认值16:9
16:99:161:14:33:4
输出视频的宽高比。
resolution可选
类型enum
默认值1080p
720p1080p
视频输出的分辨率级别;R2V 支持 720p 或 1080p,不支持 480p。
duration可选
类型enum
默认值5
510
设置生成视频的时长,单位为秒。R2V 可选择 5 或 10 秒,不支持 15 秒。
negative_prompt可选
类型string | null
默认值
指定不需要内容的负面提示词,最多 500 个字符。
enable_prompt_expansion可选
类型boolean
默认值true
控制是否由 LLM 重写提示词。
multi_shots可选
类型boolean
默认值true
镜头分段控制,仅在 enable_prompt_expansion 设置为 True 时可用。默认值 true 使用智能分段构建连贯的镜头叙事;false 将视频保持为一个连续镜头。
seed可选
类型integer | null
使生成结果可复现的种子。设置为 None 时会随机选择种子。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关,关闭此设置需要账户授权。没有该授权时,无论设置如何,每个请求都会经过检查;true 启用检查器。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.6/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_urls": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "actual_prompt": "Dance battle between Character1 and Character2, cinematic lighting, dynamic camera movement."
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成的视频文件。
seed
integer生成过程中使用的种子值。
actual_prompt
string | null启用重写时实际使用的提示词。

更多模型:参考图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/wan/v2.6/reference-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt